<!-- content -->
<app-side-modal-content>
  <!-- title -->
  <app-side-modal-title>
    EDIT PROFILE
  </app-side-modal-title>

  <!-- scrollable sections -->
  <app-custom-scrollbar class="app-content">
    <!-- email -->
    <app-form-field [control]="name" [errors]="nameErrors" [maxLength]="200" label="Name" type="input"></app-form-field>

    <!-- description -->
    <app-form-field [control]="description" label="Description" type="text"></app-form-field>

    <!-- pin -->
    <app-form-field
      [control]="pin"
      [maxLength]="4"
      [errors]="pinErrors"
      mask="0000"
      label="Pin"
      type="input"
    ></app-form-field>

    <!-- payload -->
    <app-form-field [control]="payload" [errors]="payloadErrors" label="Payload" type="input"></app-form-field>

    <!-- state -->
    <app-form-field [control]="state" [options]="stateOptions" label="State" type="select"></app-form-field>

    <!-- disabled reason -->
    <app-form-field
      [control]="disabledReason"
      [errors]="disabledReasonErrors"
      label="Disabled Reason"
      type="text"
    ></app-form-field>

    <!-- status -->
    <app-form-field [control]="status" [options]="statusOptions" label="Status" type="select"></app-form-field>

    <!-- checkbox -->
    <div (click)="allowPinRelease = !allowPinRelease" class="app-checkbox">
      <app-checkbox [active]="allowPinRelease" appearance="filled"></app-checkbox>
      Allow Pin Release Shackle
    </div>
  </app-custom-scrollbar>
</app-side-modal-content>

<!-- footer -->
<app-side-modal-footer>
  <!-- spinner -->
  <app-spinner *ngIf="loading; else actions"></app-spinner>

  <!-- actions -->
  <ng-template #actions>
    <!-- edit -->
    <button (click)="onSaveClicked()" appFlatButton theme="secondary">
      Save
    </button>

    <!-- close -->
    <button (click)="cancelClick.emit()" appInlineButton theme="secondary">
      Cancel
    </button>
  </ng-template>
</app-side-modal-footer>
